The main function of the SeeDream Tasks API is to query the execution status of tasks by inputting the task ID generated by the SeeDream Images Generation API. This document will provide detailed integration instructions for the SeeDream Tasks API, helping you easily integrate and fully utilize the powerful features of this API. With the SeeDream Tasks API, you can easily query the execution status of tasks from the SeeDream Images Generation API.Documentation Index
Fetch the complete documentation index at: https://docs.acedata.cloud/llms.txt
Use this file to discover all available pages before exploring further.
Application Process
To use the SeeDream Tasks API, you first need to go to the application page SeeDream Images Generation API to apply for the corresponding service, and then copy the task ID from the SeeDream Images Generation API, as shown in the image below:
If you are not logged in or registered, you will be automatically redirected to the login page inviting you to register and log in. After logging in or registering, you will be automatically returned to the current page.
There is a free quota available for first-time applicants, allowing you to use this API for free.
Request Example
The SeeDream Tasks API can be used to query the results of the SeeDream Images Generation API. For information on how to use the SeeDream Images Generation API, please refer to the documentation SeeDream Images Generation API. We will take a task ID returned by the SeeDream Images Generation API as an example to demonstrate how to use this API. Suppose we have a task ID: 20068983-0cc9-4c6a-aeb6-9c6a3c668be0, we will demonstrate how to pass in a task ID.Task Example Image

Setting Request Headers and Request Body
Request Headers include:accept: Specifies that the response should be in JSON format, set toapplication/json.authorization: The key to call the API, which can be selected directly after application.
id: The uploaded task ID.action: The operation method for the task.

Code Example
It can be seen that various language codes have been automatically generated on the right side of the page, as shown in the image below:
CURL
Response Example
After a successful request, the API will return the details of the task here. For example:success: The status of the video generation task at this time.task_id: The ID of the video generation task at this time.trace_id: The tracking ID of the video generation at this time.data: The result list of the image generation task at this time.image_url: The link to the image generation task at this time.prompt: The prompt word.size: The pixel size of the generated image.
Batch Query Operation
This is for querying the details of multiple task IDs, and unlike the above, the action needs to be selected as retrieve_batch. Request Body includes:ids: The array of uploaded task IDs.action: The operation method for the task.

Code Example
Some code examples are as follows:Response Example
After a successful request, the API will return the specific details of all batch tasks this time. For example:items, all specific detail information of the batch task. It is an array, and each element of the array has the same format as the previous single task query result.count, the number of batch query tasks.
CURL
Error Handling
When calling the API, if an error occurs, the API will return the corresponding error code and message. For example:400 token_mismatched: Bad request, possibly due to missing or invalid parameters.400 api_not_implemented: Bad request, possibly due to missing or invalid parameters.401 invalid_token: Unauthorized, invalid or missing authorization token.429 too_many_requests: Too many requests, you have exceeded the rate limit.500 api_error: Internal server error, something went wrong on the server.

